package server.command.commands;

import java.util.List;

import common.entity.npc.EntityNPC;
import common.entity.types.EntityLiving;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;

public class CommandClear extends Command {
	public CommandClear() {
		super("clear");
		
		this.addLivingEntityList("entities", true, UserPolicy.NON_ADMINS_OR_SELF);
	}
	
	public Object exec(CommandEnvironment env, Executor exec, List<EntityLiving> entities) {
		int done = 0;
		for(EntityLiving entity : entities) {
			if(entity instanceof EntityNPC) {
				if(entity.isPlayer()) {
					((EntityNPC)entity).inventory.clearItems();
				}
				else {
					((EntityNPC)entity).getExtendedInventory().clear();
					for(int z = 0; z < 5; z++) {
						((EntityNPC)entity).setItem(z, null);
					}
				}
				exec.logConsole("Inventar von %s gelöscht", entity.getCommandName());
				done++;
			}
		}
		if(done > 1)
			exec.logConsole("Inventar von %d Objekten gelöscht", done);
		return done;
	}
}
